<?xml version="1.0" encoding="UTF-8" ?>

<Form version="1.4" maxVersion="1.8" type="org.netbeans.modules.form.forminfo.JPanelFormInfo">
  <Properties>
    <Property name="name" type="java.lang.String" value="Form" noResource="true"/>
  </Properties>
  <AuxValues>
    <AuxValue name="FormSettings_autoResourcing" type="java.lang.Integer" value="1"/>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="1"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="2"/>
  </AuxValues>

  <Layout>
    <DimensionLayout dim="0">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="0" attributes="0">
              <EmptySpace max="32767" attributes="0"/>
              <Component id="projectList" min="-2" pref="204" max="-2" attributes="0"/>
              <EmptySpace type="unrelated" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="0" max="-2" attributes="0">
                  <Group type="102" alignment="0" attributes="0">
                      <EmptySpace min="10" pref="10" max="-2" attributes="0"/>
                      <Component id="subModulesCheckBox" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <Component id="infoLabel" pref="0" max="32767" attributes="0"/>
                  <Component id="addProjectButton" alignment="0" max="32767" attributes="0"/>
                  <Component id="removeProjectButton" alignment="0" max="32767" attributes="0"/>
              </Group>
          </Group>
      </Group>
    </DimensionLayout>
    <DimensionLayout dim="1">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="0" attributes="0">
              <EmptySpace max="-2" attributes="0"/>
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" attributes="0">
                      <Component id="infoLabel" min="-2" pref="69" max="-2" attributes="0"/>
                      <EmptySpace min="-2" pref="26" max="-2" attributes="0"/>
                      <Component id="addProjectButton" min="-2" max="-2" attributes="0"/>
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="subModulesCheckBox" min="-2" max="-2" attributes="0"/>
                      <EmptySpace type="separate" max="-2" attributes="0"/>
                      <Component id="removeProjectButton" min="-2" max="-2" attributes="0"/>
                      <EmptySpace min="0" pref="0" max="32767" attributes="0"/>
                  </Group>
                  <Component id="projectList" pref="318" max="32767" attributes="0"/>
              </Group>
              <EmptySpace max="-2" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
  </Layout>
  <SubComponents>
    <Container class="javax.swing.JScrollPane" name="projectList">
      <Properties>
        <Property name="name" type="java.lang.String" value="projectList" noResource="true"/>
      </Properties>
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_CreateCodeCustom" type="java.lang.String" value="new BeanTreeView();"/>
      </AuxValues>

      <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
    </Container>
    <Component class="javax.swing.JLabel" name="infoLabel">
      <Properties>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="se/softstuff/nb/nbtranslate/ide/create/Bundle.properties" key="CreateProjectVisualPanel1.infoLabel.text" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
        </Property>
        <Property name="verticalAlignment" type="int" value="1"/>
        <Property name="name" type="java.lang.String" value="infoLabel" noResource="true"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JButton" name="addProjectButton">
      <Properties>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="se/softstuff/nb/nbtranslate/ide/create/Bundle.properties" key="CreateProjectVisualPanel1.addProjectButton.text" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
        </Property>
        <Property name="name" type="java.lang.String" value="addProjectButton" noResource="true"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="addProjectButtonActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JButton" name="removeProjectButton">
      <Properties>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="se/softstuff/nb/nbtranslate/ide/create/Bundle.properties" key="CreateProjectVisualPanel1.removeProjectButton.text" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
        </Property>
        <Property name="name" type="java.lang.String" value="removeProjectButton" noResource="true"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="removeProjectButtonActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JCheckBox" name="subModulesCheckBox">
      <Properties>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="se/softstuff/nb/nbtranslate/ide/create/Bundle.properties" key="CreateProjectVisualPanel1.subModulesCheckBox.text" replaceFormat="NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
        </Property>
        <Property name="name" type="java.lang.String" value="subModulesCheckBox" noResource="true"/>
      </Properties>
    </Component>
  </SubComponents>
</Form>